<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage --><html lang="en">
<head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<!-- Generated by javadoc (1.8.0_121) on Thu Sep 26 20:37:32 UTC 2019 -->
<title>OffScreenRenderer (HERE Android Premium SDK)</title>
<meta name="date" content="2019-09-26">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
<meta name="copyright" content="© 2019 HERE Europe B.V."><meta name="html_title" content="HERE Android Premium SDK NLP Premium Edition v3.13 API Reference"><meta name="DC.Document.Id" content="28f10409-3c3a-4aab-a398-4c46acfeab3a"><meta name="DC.Document.Name" content="HERE Android Premium SDK Java API Reference"><meta name="DC.Product.Name" content="HERE Android Premium SDK"><meta name="DC.Product.Version" content="3.13"><meta name="DC.Creation.Date" content="2019-10-25T09:06:39+00:00"></head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="OffScreenRenderer (HERE Android Premium SDK)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":6,"i1":6,"i2":6,"i3":6,"i4":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/OffScreenRenderer.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/here/android/mpa/common/MatchedGeoPosition.html" title="class in com.here.android.mpa.common"><span class="typeNameLink">Prev Class</span></a></li>
<li><a href="../../../../../com/here/android/mpa/common/OffScreenRenderer.SurfaceUpdatedListener.html" title="interface in com.here.android.mpa.common"><span class="typeNameLink">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/here/android/mpa/common/OffScreenRenderer.html" target="_top">Frames</a></li>
<li><a href="OffScreenRenderer.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary: </li>
<li><a href="#nested.class.summary">Nested</a> | </li>
<li>Field | </li>
<li>Constr | </li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail: </li>
<li>Field | </li>
<li>Constr | </li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.here.android.mpa.common</div>
<h2 title="Interface OffScreenRenderer" class="title">Interface OffScreenRenderer</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Known Implementing Classes:</dt>
<dd><a href="../../../../../com/here/android/mpa/mapping/MapOffScreenRenderer.html" title="class in com.here.android.mpa.mapping">MapOffScreenRenderer</a></dd>
</dl>
<hr>
<br>
<pre>public interface <span class="typeNameLabel">OffScreenRenderer</span></pre>
<div class="block">Base interface for an offscreen renderer. This interface is useful for drawing a Map image
 without an actual View.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../com/here/android/mpa/mapping/MapOffScreenRenderer.html" title="class in com.here.android.mpa.mapping"><code>MapOffScreenRenderer</code></a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested.class.summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Nested Class Summary table, listing nested classes, and an explanation">
<caption><span>Nested Classes</span><span class="tabEnd"> </span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Interface and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static interface </code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/common/OffScreenRenderer.SurfaceUpdatedListener.html" title="interface in com.here.android.mpa.common">OffScreenRenderer.SurfaceUpdatedListener</a></span></code>
<div class="block">Listener interface to be notified when the surface has been re-drawn and comitted.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd"> </span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd"> </span></span><span id="t3" class="tableTab"><span><a href="javascript:show(4);">Abstract Methods</a></span><span class="tabEnd"> </span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/common/OffScreenRenderer.html#getScreenCapture-com.here.android.mpa.common.OnScreenCaptureListener-">getScreenCapture</a></span>(<a href="../../../../../com/here/android/mpa/common/OnScreenCaptureListener.html" title="interface in com.here.android.mpa.common">OnScreenCaptureListener</a> listener)</code>
<div class="block">Returns the full screen bitmap for the <a href="../../../../../com/here/android/mpa/mapping/Map.html" title="class in com.here.android.mpa.mapping"><code>Map</code></a>.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/common/OffScreenRenderer.html" title="interface in com.here.android.mpa.common">OffScreenRenderer</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/common/OffScreenRenderer.html#setSize-int-int-">setSize</a></span>(int width,
       int height)</code>
<div class="block">Set the size of the requested screen surface</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/common/OffScreenRenderer.html#start--">start</a></span>()</code>
<div class="block">Start the offscreen renderer.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/common/OffScreenRenderer.html#start-android.view.SurfaceHolder-com.here.android.mpa.common.OffScreenRenderer.SurfaceUpdatedListener-">start</a></span>(android.view.SurfaceHolder renderTarget,
     <a href="../../../../../com/here/android/mpa/common/OffScreenRenderer.SurfaceUpdatedListener.html" title="interface in com.here.android.mpa.common">OffScreenRenderer.SurfaceUpdatedListener</a> listener)</code>
<div class="block">Start the offscreen renderer.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/common/OffScreenRenderer.html#stop--">stop</a></span>()</code>
<div class="block">Stop the offscreen renderer.</div>
</td>
</tr>
</table>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="start--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>start</h4>
<pre>void start()</pre>
<div class="block">Start the offscreen renderer. A new PBuffer based surface will be allocated. <br>
 Before calling this method, <a href="../../../../../com/here/android/mpa/common/OffScreenRenderer.html#setSize-int-int-"><code>OffScreenRenderer.setSize(int, int)</code></a> must have been called with valid
 values.</div>
</li>
</ul>
<a name="start-android.view.SurfaceHolder-com.here.android.mpa.common.OffScreenRenderer.SurfaceUpdatedListener-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>start</h4>
<pre>void start(android.view.SurfaceHolder renderTarget,
           <a href="../../../../../com/here/android/mpa/common/OffScreenRenderer.SurfaceUpdatedListener.html" title="interface in com.here.android.mpa.common">OffScreenRenderer.SurfaceUpdatedListener</a> listener)</pre>
<div class="block">Start the offscreen renderer. The renderer will be attached to the supplied
 <code>SurfaceHolder</code> argument.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>renderTarget</code> - Surface to attach to.</dd>
<dd><code>listener</code> - Callback when the surface has been updated</dd>
</dl>
</li>
</ul>
<a name="stop--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>stop</h4>
<pre>void stop()</pre>
<div class="block">Stop the offscreen renderer. All resource allocated will be released.</div>
</li>
</ul>
<a name="setSize-int-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setSize</h4>
<pre><a href="../../../../../com/here/android/mpa/common/OffScreenRenderer.html" title="interface in com.here.android.mpa.common">OffScreenRenderer</a> setSize(int width,
                          int height)</pre>
<div class="block">Set the size of the requested screen surface</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>width</code> - The screen surface width, in number of pixels</dd>
<dd><code>height</code> - The screen surface height, in number of pixels</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>This <code>OffScreenRenderer</code></dd>
</dl>
</li>
</ul>
<a name="getScreenCapture-com.here.android.mpa.common.OnScreenCaptureListener-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getScreenCapture</h4>
<pre>void getScreenCapture(<a href="../../../../../com/here/android/mpa/common/OnScreenCaptureListener.html" title="interface in com.here.android.mpa.common">OnScreenCaptureListener</a> listener)</pre>
<div class="block">Returns the full screen bitmap for the <a href="../../../../../com/here/android/mpa/mapping/Map.html" title="class in com.here.android.mpa.mapping"><code>Map</code></a>. This
 method is asynchronous and will invoke a callback once the operation is completed through the
 <a href="../../../../../com/here/android/mpa/common/OnScreenCaptureListener.html" title="interface in com.here.android.mpa.common"><code>OnScreenCaptureListener</code></a>. The <code>OffScreenRenderer</code> must be running to create the
 screen capture.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>listener</code> - A <code>OnScreenCaptureListener</code> to listen for the callback when screen capture
            is complete.</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/OffScreenRenderer.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
<div class="aboutLanguage">Copyright (c) 2011-2019 HERE Global B.V. All rights reserved.</div>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/here/android/mpa/common/MatchedGeoPosition.html" title="class in com.here.android.mpa.common"><span class="typeNameLink">Prev Class</span></a></li>
<li><a href="../../../../../com/here/android/mpa/common/OffScreenRenderer.SurfaceUpdatedListener.html" title="interface in com.here.android.mpa.common"><span class="typeNameLink">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/here/android/mpa/common/OffScreenRenderer.html" target="_top">Frames</a></li>
<li><a href="OffScreenRenderer.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary: </li>
<li><a href="#nested.class.summary">Nested</a> | </li>
<li>Field | </li>
<li>Constr | </li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail: </li>
<li>Field | </li>
<li>Constr | </li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
